### Method

# FwupdPlugin Context set_display_state

#### Declaration [src]

    void
    fu_context_set_display_state (
      FuContext* self,
      FuDisplayState display_state
    )

#### Description [src]

Sets the display state, if applicable.

Available since: | 1.9.6

Sets property | `FwupdPlugin.Context:display-state`

#### Parameters

`display_state` | `FuDisplayState`
| A display state, e.g. `FU_DISPLAY_STATE_CONNECTED`.